#
# spec file for package cadaver (Version 0.20.5)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openssl openssl-devel readline readline-devel
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool openssl openssl-devel perl readline-devel rpm

Name:         cadaver
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Autoreqprov:  on
Version:      0.20.5
Release:      96
Summary:      Command-line WebDAV client for Unix
URL:          http://www.webdav.org/cadaver/
Source0:      %{name}-%{version}.tar.bz2
Patch0:       cadaver.dif
Patch1:       %{name}-%{version}-buffer-overflow.diff
Patch2:       %{name}-%{version}-cleanse.diff
Patch3:       %{name}-%{version}-format-string.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
cadaver is a command-line WebDAV client for Unix. It supports file
upload, downl oad, on-screen display, namespace operations (move/copy),
collection creation an d deletion, and locking operations.



Authors:
--------
    Joe Orton <joe@manyfish.co.uk>

%prep
%setup
%patch0
%patch1
%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config -f}}
%if %suse_version <= 800
	autoconf 
%else
	autoconf --force
%endif
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
	    --with-ssl=%{_prefix} \
	    --with-included-expat
make

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog FAQ INTEROP NEWS README THANKS TODO
%doc %{_mandir}/man1/*
%{_bindir}/cadaver

%changelog -n cadaver
* Wed Jun 09 2004 - mjancar@suse.cz
- fix security problems in libneon (#41725)
* Thu Oct 10 2002 - prehak@suse.cz
- update to version 0.20.5
* Sun Aug 04 2002 - vinil@suse.cz
- readline added to neededforbuild
* Mon Jul 15 2002 - poeml@suse.de
- allow build on SuSE Linux 7.3 and 8.0
* Fri Jul 12 2002 - prehak@suse.cz
- initial version 0.19.1
- used AC_LIBOBJ macro instead of directly modifying LIBOBJS
  in configure.in (created cadaver.dif)
- fixed install paths in Makefile.in
- build with OpenSSL support
